- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- COPYRIGHT

# NAME

PKCS12_get_friendlyname - Retrieve the friendlyname attribute from a PKCS#12 safeBag

# SYNOPSIS

     #include <openssl/pkcs12.h>

     char *PKCS12_get_friendlyname(PKCS12_SAFEBAG *bag);

# DESCRIPTION

PKCS12_get_friendlyname() retrieves a UTF-8 string representation of the PKCS#9 friendlyName attribute for a PKCS#12 safeBag item.

bag is the PKCS12_SAFEBAG to retrieve the attribute from.

# RETURN VALUES

A UTF-8 string, or NULL if the attribute was either not present or an error occurred.

The returned string is allocated by OpenSSL and should be freed by the user.

# SEE ALSO

PKCS12_add_friendlyname_asc(3)

# COPYRIGHT

Copyright 2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.